v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/inventory/kits/manufacturing-lot
Updates the kit's manufacturing lot. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : UpdateKitAttributesRequest v1.0
Type:
objectTitle:
UpdateKitAttributesRequest v1.0Request to update kit attributes.
Show Source
-
inventoryStatusId: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kitFilters: object
KitFiltersRequest v1.0
Title:
KitFiltersRequest v1.0Request object for kit filters. -
kits: array
Kits
Title:
KitsList of kit IDs. -
labelGroupId: string
Label group ID.Example:
30100000200000000000000000000005 -
location: string
Location.Example:
30100000200000000000000000000005 -
manufacturingLotId: string
Manufacturing lot ID.Example:
30100000200000000000000000000005 -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason.Example:kit damaged by subject
Nested Schema : KitFiltersRequest v1.0
Type:
objectTitle:
KitFiltersRequest v1.0Request object for kit filters.
Show Source
-
kitRange: string
Kit range.Example:
SEQUENCE_NUMBER:900:1200 -
kitStatus: string
Kit status ID.Example:
1 -
kitTypeId: string
(uuid)
Title:
Kit Type IDKit type identifier. -
labelGroupId: string
Label group ID.Example:
B1B8327AFAA6412287106192AB5984EF -
location: string
Location.Example:
ALL_SITES -
lotId: string
(uuid)
Title:
Lot IDLot ID.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
400 Response
Invalid kit status OR Invalid kit range filter OR Invalid label group in kit filters OR Invalid kit type OR Invalid Lot OR Invalid location OR You can update up to 5,000 kits at one time. Please update the kits in smaller groups OR No kits to update OR All kits should have same inventory status OR Invalid inventory status transition
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version OR Kit type not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object